# Get content of a file

Endpoint: GET /code/api/v1/repos/{repo_identifier}/content/{path}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `git_ref` (string)
    The git reference (branch / tag / commitID) that will be used to retrieve the data. If no value is provided the default branch of the repository is used.

  - `include_commit` (boolean)
    Indicates whether optional commit information should be included in the response.

  - `flatten_directories` (boolean)
    Flatten directories that contain just one subdirectory.

## Path parameters:

  - `repo_identifier` (string, required)

  - `path` (string, required)

## Response 200 fields (application/json):

  - `content` (object)

  - `latest_commit` (object)

  - `latest_commit.author` (object)

  - `latest_commit.author.identity` (object)

  - `latest_commit.author.identity.email` (string)

  - `latest_commit.author.identity.name` (string)

  - `latest_commit.author.when` (string)

  - `latest_commit.committer` (object)

  - `latest_commit.message` (string)

  - `latest_commit.parent_shas` (array)

  - `latest_commit.sha` (string)
    Git object hash

  - `latest_commit.signature` (object,null)

  - `latest_commit.signature.created` (integer)

  - `latest_commit.signature.key_fingerprint` (string)

  - `latest_commit.signature.key_id` (string)

  - `latest_commit.signature.key_scheme` (string)
    Enum: "pgp", "ssh"

  - `latest_commit.signature.result` (string)
    Enum: "bad", "good", "invalid", "key_expired", "revoked", "unsupported", "unverified"

  - `latest_commit.signature.updated` (integer)

  - `latest_commit.stats` (object)

  - `latest_commit.stats.files` (array)

  - `latest_commit.stats.files.changes` (integer)

  - `latest_commit.stats.files.deletions` (integer)

  - `latest_commit.stats.files.insertions` (integer)

  - `latest_commit.stats.files.old_path` (string)

  - `latest_commit.stats.files.path` (string)

  - `latest_commit.stats.files.status` (string)

  - `latest_commit.stats.total` (object)

  - `latest_commit.stats.total.changes` (integer)

  - `latest_commit.stats.total.deletions` (integer)

  - `latest_commit.stats.total.insertions` (integer)

  - `latest_commit.title` (string)

  - `name` (string)

  - `path` (string)

  - `sha` (string)

  - `type` (string)
    Enum: "file", "dir", "symlink", "submodule"

## Response 401 fields (application/json):

  - `message` (string)

  - `values` (object)


